## com.google.common.io
Class NullOutputStream

    java.lang.Object
      java.io.OutputStream
          com.google.common.io.NullOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    @Beta
    public final class NullOutputStream

extends OutputStream

Implementation of `OutputStream` that simply discards written bytes.

Since:
  1.0
Author:
  Spencer Kimball

Constructor Summary
`NullOutputStream()`

Method Summary
`void` `write(byte[] b, int off, int len)` Discards the specified byte array.
`void` `write(int b)` Discards the specified byte.

Methods inherited from class java.io.OutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullOutputStream

    public NullOutputStream()

Method Detail

### write

    public void write(int b)

  Discards the specified byte.

  Specified by:
    `write` in class `OutputStream`

### write

    public void write(byte[] b,
                      int off,
                      int len)

  Discards the specified byte array.

  Overrides:
    `write` in class `OutputStream`

Copyright © 2010-2012. All Rights Reserved.